"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const gitAdd = async ({ cwd, log }, { files }) => {
    if (files.length === 0) {
        return;
    }
    log.info('Add files to the staged:');
    await exec_1.default({ cmd: 'git', args: ['add', ...files.map((file) => (file === '.' ? '.' : `"${file}"`))], cwd, log });
};
exports.default = gitAdd;
