"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const access_1 = __importDefault(require("../../lib/cmd/access"));
const writeFile_1 = __importDefault(require("../../lib/cmd/writeFile"));
const nodeFile = async ({ cwd, log }, { file }) => {
    const path = path_1.join(cwd, file);
    const isExists = await access_1.default(path);
    if (!isExists) {
        log.info(`Create the file ${file}`);
        await writeFile_1.default(path, '');
    }
    else {
        log.info(`The file ${file} already existed`);
    }
};
exports.default = nodeFile;
