import { Logger } from './cli/logger';
export declare type NpmInstallMode = 'prod' | 'dev' | 'optional';
export declare type PropsGlobal = {
    readonly cwd: string;
    readonly tpl: string;
    readonly cfg: string;
    readonly log: Logger;
    readonly vvv: boolean;
};
export declare type Action<Props extends Record<string, unknown> | undefined = undefined, ActionReturn = void> = Props extends undefined ? (argv: PropsGlobal) => Promise<ActionReturn> : (argv: PropsGlobal, props: Props) => Promise<ActionReturn>;
