"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const access_1 = __importDefault(require("../../lib/cmd/access"));
const mkdir_1 = __importDefault(require("../../lib/cmd/mkdir"));
const nodeFolder = async ({ cwd, log }, { folder }) => {
    const path = path_1.join(cwd, folder);
    const isExists = await access_1.default(path);
    if (!isExists) {
        log.info(`Create the folder ${folder}`);
        await mkdir_1.default(path);
    }
    else {
        log.info(`The folder ${folder} already existed`);
    }
};
exports.default = nodeFolder;
