import { CommandModule, Arguments, Argv } from 'yargs';
import { PropsGlobal } from '../types';
export declare type CommandModuleCommand = string;
export declare type CommandModuleDescribe = NonNullable<CommandModule<PropsGlobal>['describe']>;
export declare type CommandModuleBuilder<Props = Record<string, unknown>> = (yargs: Argv<PropsGlobal>) => Argv<PropsGlobal & Props>;
export declare type CommandModuleHandler<Props = Record<string, unknown>> = (args: Arguments<PropsGlobal & Props>) => void;
export declare const builderDefault: <Props>(cmd: string, callback: CommandModuleBuilder<Props>) => CommandModuleBuilder<Props>;
export declare const errorHandler: (argv: PropsGlobal, error: unknown) => void;
